export default defineNuxtPlugin(async (nuxtApp) => {
  const { $getapi, $readyapi } = nuxtApp;
  let connlist = $readyapi([
    "datatype",
    "common",
    "filterchoice",
    "colorchoice",
    "textalign",
    "placement",
    "colorscheme",
    "filtertype",
    "sorttype",
    "tablesetting",
    "settingchoice",
    "sharechoice",
    "menuchoice",
    "settingtype",
    "settingclass",
    "sex",
  ]);
  let notReadyConns = connlist.filter((v) => !v.ready);
  if (notReadyConns.length > 0) await $getapi(notReadyConns);
});
